From: Andrius Merkys <merkys@debian.org>
Date: Sun, 13 Dec 2020 14:57:11 -0400
Subject: Removing 'Word' driver as it depends on php-numbers-words.

---
 Text_CAPTCHA-1.0.2/Text/CAPTCHA/Driver/Word.php    | 127 ---------------------
 .../tests/Text_CAPTCHA_Driver_Equation_Test.php    |  20 ----
 .../tests/Text_CAPTCHA_Driver_Word_Test.php        |  83 --------------
 Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Test.php     |  19 ---
 package.xml                                        |   2 -
 5 files changed, 251 deletions(-)
 delete mode 100644 Text_CAPTCHA-1.0.2/Text/CAPTCHA/Driver/Word.php
 delete mode 100644 Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Driver_Word_Test.php

diff --git a/Text_CAPTCHA-1.0.2/Text/CAPTCHA/Driver/Word.php b/Text_CAPTCHA-1.0.2/Text/CAPTCHA/Driver/Word.php
deleted file mode 100644
index b7bdce7..0000000
--- a/Text_CAPTCHA-1.0.2/Text/CAPTCHA/Driver/Word.php
+++ /dev/null
@@ -1,127 +0,0 @@
-<?php
-/**
- * Text_CAPTCHA_Driver_Word - Text_CAPTCHA driver word CAPTCHAs
- * Class to create a textual Turing test
- *
- * PHP version 5
- *
- * @category Text
- * @package  Text_CAPTCHA
- * @author   Tobias Schlitt <schlitt@php.net>
- * @author   Christian Wenz <wenz@php.net>
- * @author   Michael Cramer <michael@bigmichi1.de>
- * @license  http://www.opensource.org/licenses/bsd-license.php BSD License
- * @link     http://pear.php.net/package/Text_CAPTCHA
- */
-require_once 'Text/CAPTCHA/Driver/Base.php';
-require_once 'Numbers/Words.php';
-/**
- * Require Numbers_Words class for generating the text.
- *
- * @category Text
- * @package  Text_CAPTCHA
- * @author   Tobias Schlitt <schlitt@php.net>
- * @author   Christian Wenz <wenz@php.net>
- * @author   Michael Cramer <michael@bigmichi1.de>
- * @license  http://www.opensource.org/licenses/bsd-license.php BSD License
- * @link     http://pear.php.net/package/Text_CAPTCHA
- */
-class Text_CAPTCHA_Driver_Word extends Text_CAPTCHA_Driver_Base
-{
-    /**
-     * Phrase length.
-     * This variable holds the length of the Word.
-     *
-     * @var integer
-     */
-    private $_length;
-
-    /**
-     * Numbers_Words mode.
-     * This variable holds the mode for Numbers_Words.
-     *
-     * @var String
-     */
-    private $_mode;
-
-    /**
-     * Locale
-     * This variable holds the locale for Numbers_Words
-     *
-     * @var string
-     */
-    private $_locale;
-
-    /**
-     * Initializes the new Text_CAPTCHA_Driver_Word object.
-     *
-     * @param array $options CAPTCHA options with these keys:<br>
-     *                       phrase  The "secret word" of the CAPTCHA<br>
-     *                       length  The number of characters in the phrase<br>
-     *                       locale  The locale for Numbers_Words<br>
-     *                       mode    The mode for Numbers_Words
-     *
-     * @return void
-     */
-    public function initDriver($options = array())
-    {
-        if (isset($options['length']) && is_int($options['length'])) {
-            $this->_length = $options['length'];
-        } else {
-            $this->_length = 4;
-        }
-        if (isset($options['phrase']) && !empty($options['phrase'])) {
-            $this->setPhrase((string)$options['phrase']);
-        } else {
-            $this->createPhrase();
-        }
-        if (isset($options['mode']) && !empty($options['mode'])) {
-            $this->_mode = $options['mode'];
-        } else {
-            $this->_mode = 'single';
-        }
-        if (isset($options['locale']) && !empty($options['locale'])) {
-            $this->_locale = $options['locale'];
-        } else {
-            $this->_locale = 'en_US';
-        }
-    }
-
-    /**
-     * Create random CAPTCHA phrase, "Word edition" (numbers only).
-     * This method creates a random phrase
-     *
-     * @return void
-     */
-    public function createPhrase()
-    {
-        $phrase = new Text_Password();
-        $this->setPhrase(
-            $phrase->create(
-                $this->_length, 'unpronounceable', 'numeric'
-            )
-        );
-    }
-
-    /**
-     * Place holder for the real _createCAPTCHA() method
-     * used by extended classes to generate CAPTCHA from phrase
-     *
-     * @return void
-     */
-    public function createCAPTCHA()
-    {
-        $res = '';
-        $numberWords = new Numbers_Words();
-        $phrase = $this->getPhrase();
-        if ($this->_mode == 'single') {
-            $phraseArr = str_split($phrase);
-            for ($i = 0; $i < strlen($phrase); $i++) {
-                $res .= ' ' . $numberWords->toWords($phraseArr[$i], $this->_locale);
-            }
-        } else {
-            $res = $numberWords->toWords($phrase, $this->_locale);
-        }
-        $this->setCaptcha($res);
-    }
-}
\ No newline at end of file
diff --git a/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Driver_Equation_Test.php b/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Driver_Equation_Test.php
index e652fb9..286288a 100644
--- a/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Driver_Equation_Test.php
+++ b/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Driver_Equation_Test.php
@@ -81,24 +81,4 @@ class Text_CAPTCHA_Driver_Equation_Test extends PHPUnit\Framework\TestCase
             )
         );
     }
-
-    /**
-     * test NumbersToText
-     *
-     * @return void
-     */
-    public function testNumbersToText()
-    {
-        $this->_captcha->init(
-            array(
-                'min' => 1,
-                'max' => 4,
-                'locale' => 'de',
-                'numbersToText' => true,
-                'severity' => 2
-            )
-        );
-        $this->assertNotNull($this->_captcha->getCAPTCHA());
-        $this->assertNotNull($this->_captcha->getPhrase());
-    }
 }
diff --git a/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Driver_Word_Test.php b/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Driver_Word_Test.php
deleted file mode 100644
index 8217baf..0000000
--- a/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Driver_Word_Test.php
+++ /dev/null
@@ -1,83 +0,0 @@
-<?php
-/**
- * Tests for the Text_CAPTCHA Word driver class
- *
- * PHP version 5
- *
- * @category Text
- * @package  Text_CAPTCHA
- * @author   Michael Cramer <michael@bigmichi1.de>
- * @license  BSD License
- * @link     http://pear.php.net/package/Text_CAPTCHA
- */
-require_once 'Text/CAPTCHA.php';
-/**
- * Class Text_CAPTCHA_Driver_Word_Test
- *
- * @category Text
- * @package  Text_CAPTCHA
- * @author   Michael Cramer <michael@bigmichi1.de>
- * @license  BSD License
- * @link     http://pear.php.net/package/Text_CAPTCHA
- */
-class Text_CAPTCHA_Driver_Word_Test extends PHPUnit\Framework\TestCase
-{
-    /**
-     * Test instance
-     *
-     * @var Text_CAPTCHA instance
-     */
-    private $_captcha;
-
-    /**
-     * Create the test instance.
-     *
-     * @return void
-     */
-    protected function setUp(): void
-    {
-        $this->_captcha = Text_CAPTCHA::factory("Word");
-    }
-
-    /**
-     * Simple test.
-     *
-     * @return void
-     */
-    public function testSimple()
-    {
-        $this->_captcha->init(array('length' => 8, 'locale' => 'de'));
-        $this->assertNotNull($this->_captcha->getCAPTCHA());
-        $this->assertNotNull($this->_captcha->getPhrase());
-    }
-
-    /**
-     * test with given phrase
-     *
-     * @return void
-     */
-    public function testGivenPhrase()
-    {
-        $options = array(
-            'phrase' => 'Text_CAPTCHA'
-        );
-        $this->_captcha->init($options);
-        $this->assertNotNull($this->_captcha->getCAPTCHA());
-        $this->assertEquals('Text_CAPTCHA', $this->_captcha->getPhrase());
-    }
-
-    /**
-     * test with given phrase
-     *
-     * @return void
-     */
-    public function testMode()
-    {
-        $options = array(
-            'mode' => 'together'
-        );
-        $this->_captcha->init($options);
-        $this->assertNotNull($this->_captcha->getCAPTCHA());
-        $this->assertNotNull($this->_captcha->getPhrase());
-    }
-}
diff --git a/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Test.php b/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Test.php
index a35071c..185c856 100644
--- a/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Test.php
+++ b/Text_CAPTCHA-1.0.2/tests/Text_CAPTCHA_Test.php
@@ -44,25 +44,6 @@ class Text_CAPTCHA_Test extends PHPUnit\Framework\TestCase
         Text_CAPTCHA::factory('');
     }
 
-    /**
-     * test generate function
-     *
-     * @return void
-     */
-    public function testGenerate()
-    {
-        $captcha = Text_CAPTCHA::factory('Word');
-        $captcha->init();
-        $phraseAfterInit = $captcha->getPhrase();
-        $captcha->generate(true);
-        $phraseAfterGenerate = $captcha->getPhrase();
-        $this->assertNotEquals($phraseAfterInit, $phraseAfterGenerate);
-        $captcha->generate("Testphrase");
-        $phraseAfterSet = $captcha->getPhrase();
-        $this->assertNotEquals($phraseAfterGenerate, $phraseAfterSet);
-        $this->assertEquals('Testphrase', $phraseAfterSet);
-    }
-
     /**
      * test driver init.
      *
diff --git a/package.xml b/package.xml
index 4b958d3..c6b9793 100644
--- a/package.xml
+++ b/package.xml
@@ -68,7 +68,6 @@ and humans apart)
    <file baseinstalldir="/" md5sum="2b5c2c768212c646856efda8ad778440" name="tests/Text_CAPTCHA_Driver_Figlet_Test.php" role="test" />
    <file baseinstalldir="/" md5sum="ee80e344068e093669f70a35e670acd8" name="tests/Text_CAPTCHA_Driver_Image_Test.php" role="test" />
    <file baseinstalldir="/" md5sum="5fabafd54bd2fedb269a4a0181ba31e2" name="tests/Text_CAPTCHA_Driver_Numeral_Test.php" role="test" />
-   <file baseinstalldir="/" md5sum="8d02b879674c86b4384534844b222c36" name="tests/Text_CAPTCHA_Driver_Word_Test.php" role="test" />
    <file baseinstalldir="/" md5sum="5ff5543ca912578856b2ae71cf78adbf" name="tests/Text_CAPTCHA_Test.php" role="test" />
    <file baseinstalldir="/" md5sum="72c75860d89e91a517dfb1e7d308c180" name="tests/data/cour.ttf" role="test" />
    <file baseinstalldir="/" md5sum="3f8b3a916a94da904179ab1b3ac2c31c" name="tests/data/makisupa.flf" role="test" />
@@ -80,7 +79,6 @@ and humans apart)
    <file baseinstalldir="/" md5sum="e317f68d8003cd723860d15a084a80fd" name="Text/CAPTCHA/Driver/Figlet.php" role="php" />
    <file baseinstalldir="/" md5sum="dd2fb1b868140bce87af2b56be82bf91" name="Text/CAPTCHA/Driver/Image.php" role="php" />
    <file baseinstalldir="/" md5sum="27f77ba58c805d0aeafd91d263e122ff" name="Text/CAPTCHA/Driver/Numeral.php" role="php" />
-   <file baseinstalldir="/" md5sum="e0a81b4de617ba585cc2676b52dcfa1b" name="Text/CAPTCHA/Driver/Word.php" role="php" />
    <file baseinstalldir="/" md5sum="d1eac0cb4966bb892c4beba97abb4067" name="LICENSE" role="doc" />
    <file baseinstalldir="/" md5sum="ccd345c93af690f5776905e3b6d4855d" name="README" role="doc" />
   </dir>
